Can't update my iMac?

Discussion in 'Mac Basics and Help' started by azuleacormu, Nov 8, 2014.

  1. azuleacormu macrumors newbie

    Joined:
    Nov 8, 2014
    #1
    My grandparents just gave me their iMac, but they haven't updated it in forever. They bought the computer ~2008-2009. I've talked to a few people about it who have the same model and they say that they have been able to update it to yosemite, but every time I go to download a newer iOS, and alert comes up saying "This update requires a Mac OS X version 10.6". My OS X is version 10.5.8. Is this something I can fix, or do I just have to give up?
     
  2. T'hain Esh Kelch macrumors 601

    T'hain Esh Kelch

    Joined:
    Aug 5, 2001
    Location:
    Denmark
    #2
    Mac OS and iOS are two different things. You also posted in the wrong subforum.

    You need to order Snow Leopard directly from Apple, and then update to Yosemite.
     
  3. azuleacormu thread starter macrumors newbie

    Joined:
    Nov 8, 2014
    #3
    Yeah, I have no idea what the frig I'm doing. Thank you though.
     
  4. SuperKerem macrumors 6502a

    SuperKerem

    Joined:
    Oct 29, 2012
    Location:
    London, England
    #4
    Or you could make a bootable Yosemite usb stick and use that...
     

Share This Page